Package com.google.javascript.jscomp.deps

# Interface DependencyInfo

All Known Implementing Classes:
  `CompilerInput`, `JSModule`, `SimpleDependencyInfo`

public interface DependencyInfo
A data structure for JS dependency information for a single .js file.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Gets the unique name / path of this file.
`String`
`getPathRelativeToClosureBase()`
Gets the path of this file relative to Closure's base.js file.
`Collection<String>`
`getProvides()`
Gets the symbols provided by this file.
`Collection<String>`
`getRequires()`
Gets the symbols required by this file.

## Method Details

### getName

String getName()
Gets the unique name / path of this file.

### getPathRelativeToClosureBase

String getPathRelativeToClosureBase()
Gets the path of this file relative to Closure's base.js file.

### getProvides

Collection<String> getProvides()
Gets the symbols provided by this file.

### getRequires

Collection<String> getRequires()
Gets the symbols required by this file.